from app.functions.get_attack_roll_outcome import get_attack_roll_outcome
from app.tables.mentattack import MentalAttackMatrix


def roll_mental_attack(ams, dms, modifier):

    result = {}
    mam = MentalAttackMatrix()
    needed = mam.get_attack_score(ams, dms)
    result["needed"] = needed
    return get_attack_roll_outcome(result, modifier)

